Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Endpoints

Start Journey Execution

POST
/v1/journey-executions/start

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

journey_id*string
Formatuuid
context?|null
contact*

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/journey-executions/start" \  -H "Content-Type: application/json" \  -d '{    "journey_id": "dbb196a2-10f8-4856-b09c-454a1fe6bf09",    "contact": {}  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",  "journey_id": "dbb196a2-10f8-4856-b09c-454a1fe6bf09",  "journey_version_id": "40fd60b5-f7e3-476e-b333-cca22ddb8b9c",  "trigger_journey_node_id": "ef4a18cf-9165-40e6-84ca-9fec612183c8",  "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",  "started_at": "2019-08-24T14:15:22Z",  "backdated_started_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "status": "aborted",  "total_timetravel_seconds": 0,  "extra_context": {},  "error": {},  "failure_reason": "string"}